=== debian/changelog ===
ros-melodic-rosbag-editor (0.4.2-1bionic) bionic; urgency=high

  * downgrade to c++11
  * Contributors: Davide Faconti

 -- dfaconti <davide.faconti@gmail.com>  Fri, 25 Oct 2019 22:00:00 -0000

ros-melodic-rosbag-editor (0.4.0-1bionic) bionic; urgency=high

  * add TF filter
  * add the ability to rename topics
  * Contributors: Davide Faconti

 -- dfaconti <davide.faconti@gmail.com>  Wed, 23 Oct 2019 22:00:00 -0000

ros-melodic-rosbag-editor (0.3.0-1bionic) bionic; urgency=high



 -- dfaconti <davide.faconti@gmail.com>  Mon, 14 Oct 2019 22:00:00 -0000

ros-melodic-rosbag-editor (0.2.0-1bionic) bionic; urgency=high

  * fixing few issues
  * Contributors: Davide Faconti

 -- dfaconti <davide.faconti@gmail.com>  Mon, 14 Oct 2019 22:00:00 -0000

ros-melodic-rosbag-editor (0.1.0-1bionic) bionic; urgency=high

  * Initial commit
  * Contributors: Davide Faconti

 -- dfaconti <davide.faconti@gmail.com>  Sun, 14 Jul 2019 22:00:00 -0000
